#!/bin/bash

set -o errexit
set -euvo pipefail

eval $(ssh-agent -s)
# Register ssh key with ssh-agent.
ssh-add - <<<"$SSH_KEY"

# Add server's ssh host key to known hosts.
mkdir -p ~/.ssh
[[ -f /.dockerenv ]] && printf "%s" "$SSH_SERVER_HOSTKEYS" > ~/.ssh/known_hosts

sshHost="${FTP_USER}@${FTP_HOST}"
targetDir='${HOME}'"${DOMAIN_NAME}/${SUBDOMAIN}${SUBFOLDER}"
rsyncTarget="${sshHost}:${targetDir}"

# Upload site.
rsync -HAXa -vi --delete ${BUILD_FOLDER}/ "${rsyncTarget}"
